#
# openmamba milestone2 channel configuration for Smart Package Manager
#
if not sysconf.get(("channels", "milestone2")):
    sysconf.set(("channels", "milestone2"),
			{"alias": "milestone2",
			"type": "apt-rpm",
			"name": "stable milestone2 base packages",
			"baseurl": "http://www.openmamba.org/pub/openmamba/milestone2",
			"components": "%ARCH%"})

#
# openmamba milestone2-games channel configuration for Smart Package Manager
#

if not sysconf.get(("channels", "milestone2-games")):
    sysconf.set(("channels", "milestone2-games"),
			{"alias": "milestone2-games",
			"type": "apt-rpm",
			"name": "stable milestone2 games packages",
			"baseurl": "http://www.openmamba.org/pub/openmamba/milestone2-games",
			"components": "%ARCH%"})

#
# openmamba milestone2-updates channel configuration for Smart Package Manager
#

if not sysconf.get(("channels", "milestone2-updates")):
    sysconf.set(("channels", "milestone2-updates"),
			{"alias": "milestone2-updates",
			"type": "apt-rpm",
			"name": "stable milestone2 updates packages",
			"baseurl": "http://www.openmamba.org/pub/openmamba/milestone2-updates",
			"components": "%ARCH%"})

#
# openmamba milestone2-kernel channel configuration for Smart Package Manager
#

if not sysconf.get(("channels", "milestone2-kernel")):
    sysconf.set(("channels", "milestone2-kernel"),
			{"alias": "milestone2-kernel",
			"type": "apt-rpm",
			"name": "newest kernel release for milestone2 stable systems",
			"baseurl": "http://www.openmamba.org/pub/openmamba/milestone2-kernel",
			"components": "%ARCH%",
			"disabled": "yes"})

#
# openmamba milestone2-kernel-next channel configuration for Smart Package Manager
#

if not sysconf.get(("channels", "milestone2-kernel-next")):
    sysconf.set(("channels", "milestone2-kernel-next"),
			{"alias": "milestone2-kernel-next",
			"type": "apt-rpm",
			"name": "experimental kernel release for milestone2 stable systems",
			"baseurl": "http://www.openmamba.org/pub/openmamba/milestone2-kernel-next",
			"components": "%ARCH%",
			"disabled": "yes"})

#
# openmamba milestone2-kde4 channel configuration for Smart Package Manager
#

if not sysconf.get(("channels", "milestone2-kde4")):
    sysconf.set(("channels", "milestone2-kde4"),
			{"alias": "milestone2-kde4",
			"type": "apt-rpm",
			"name": "newest kde4 release for milestone2 stable systems",
			"baseurl": "http://www.openmamba.org/pub/openmamba/milestone2-kde4",
			"components": "%ARCH%",
			"disabled": "yes"})

#
# openmamba milestone2-xorg channel configuration for Smart Package Manager
#

if not sysconf.get(("channels", "milestone2-xorg")):
    sysconf.set(("channels", "milestone2-xorg"),
			{"alias": "milestone2-xorg",
			"type": "apt-rpm",
			"name": "newest X.org release for milestone2 stable systems",
			"baseurl": "http://www.openmamba.org/pub/openmamba/milestone2-xorg",
			"components": "%ARCH%",
			"disabled": "yes"})

#
# openmamba milestone2-makedist channel configuration for Smart Package Manager
#

if not sysconf.get(("channels", "milestone2-makedist")):
    sysconf.set(("channels", "milestone2-makedist"),
			{"alias": "milestone2-makedist",
			"type": "apt-rpm",
			"name": "experimental milestone2 makedist packages",
			"baseurl": "http://www.openmamba.org/pub/openmamba/milestone2-makedist",
			"components": "%ARCH%",
			"disabled": "yes"})

import os
import sys
release=os.popen("openmamba-release -c").read()

for r in ["milestone2","milestone2-updates","milestone2-games","milestone2-makedist","milestone2-kernel","milestone2-kde4","milestone2-xorg","milestone2-kernel-next"]:
    channel=sysconf.get(("channels", r))
    if channel:
	channel['fingerprint']='A402 AA41 82DE 06DD 0C82 943A B771 C004 8746 8781'

if release.startswith('milestone2'):
    for r in ["milestone2","milestone2-updates","milestone2-games"]:
	channel=sysconf.get(("channels", r))
        if channel:
    	    channel['disabled']=False
	    sysconf.set(("channels",r),channel)
    for r in ["devel","devel-games"]:
	channel=sysconf.get(("channels", r))
        if channel:
	    channel['disabled']=True
	    sysconf.set(("channels",r),channel)
